Page 1 of 1

Do I have latest linux driver?

Posted: Sat Mar 23, 2019 3:42 pm
by commandlinekid
Hello

I have a Nooelec Dongle. I would like to know if I have the latest Rpi driver.

I am using this: git://git.osmocom.org/gr-osmosdr

I have different servers running for different things at different times but am I running the best driver? Thank you.

I am running this device: https://www.amazon.com/gp/product/B01GD ... UTF8&psc=1


Second question: Am I running the best streaming TCP server? I am still using this one from 2015.... "# Author: Gary Myers CITP MBCS MIET
# Revision 1.1 - 8th May 2015
# from here http://www.gaztronics.net/howtos/rtl-sdr.php
"

Re: Do I have latest linux driver?

Posted: Thu Apr 04, 2019 12:30 am
by rtlsdrblog
Yes the Osmocom drivers are still the best ones to use in most cases, and now have most of the improvements from other branches.

If you installed from source it'll be the newest version. If from repos (apt-get etc), it may be older.

Re: Do I have latest linux driver?

Posted: Thu Apr 04, 2019 3:29 pm
by hotpaw2
There may be no "best" server, as different forks and different servers have different improvements, some too new or experimental to make it into the Osmocom branch. However, the Osmocom branch is probably the best for general new users.

Re: Do I have latest linux driver?

Posted: Thu Apr 04, 2019 6:22 pm
by Kenn
Backing up what Admin and hotpaw2 posted, the Osmocom driver is probably the best all around choice. It seems to work with most apps.

I've done some informal experiments with the Keenerd fork of the driver. It seems to work noticeably better with CubicSDR and Spektrum (ie better reception, fewer spikes, flatter overall response) but GQRX and dump1090 didn't like it.

Has anyone done a comparison of the various forks?

-K